jQuery(window).on( 'elementor:init', function() {
    const IconsControl = elementor.modules.controls.Icons.extend( {
        applySavedValue() {
            const controlValue = this.getControlValue(),
                skin = this.model.get( 'skin' ),
                iconContainer = 'inline' === skin ? this.ui.inlineDisplayedIcon : this.ui.previewPlaceholder,
                defaultIcon = this.model.get( 'default' );

            let iconValue = controlValue.value,
                iconType = controlValue.library;

            if ( ! this.isMigrationAllowed() && ! iconValue && this.getValueToMigrate() ) {
                iconValue = this.getControlValue();
                iconType = '';
            }

            if ( 'media' === skin ) {
                this.ui.controlMedia.toggleClass( 'elementor-media-empty', ! iconValue );
            } else {
                this.markChecked( iconType );
            }

            if ( ! iconValue ) {
                if ( 'inline' === skin ) {
                    this.setDefaultIconLibraryLabel( defaultIcon, iconContainer );
                    return;
                }

                this.ui.previewPlaceholder.html( '' );
                return;
            }

            if ( 'svg' === iconType && 'inline' !== skin ) {
                return elementor.helpers.fetchInlineSvg( iconValue.url, ( data ) => {
                    this.ui.previewPlaceholder.html( data );
                } );
            }

            if ( 'media' === skin || 'svg' !== iconType ) {
                if (iconType === 'duatone-icons') {
                    var previewHTML = '<i class="' + iconValue + '"><span class="path1"></span><span class="path2"></span><span class="path3"></span><span class="path4"></span><span class="path5"></span><span class="path6"></span><span class="path7"></span><span class="path8"></span><span class="path9"></span></i>';
                } else {
                    var previewHTML = '<i class="' + iconValue + '"></i>';
                }

                iconContainer.html( previewHTML );
            }

            this.enqueueIconFonts( iconType );
        }
    } );

    elementor.addControlView( 'icons', IconsControl );

    
} );