jQuery( function( $ ) {
    $(window).on('elementor/frontend/init', function() {
        if ( window.elementorFrontend && elementorFrontend.hooks !== 'undefined' && elementorFrontend.hooks.addAction !== 'undefined' ) {

            var GlobalAOSAnimationHandler = elementorModules.frontend.handlers.Base.extend({
                onInit: function ( args ) {
                    if ( this.getAOSAnimation() ) {
                        this.AOSAnimate();
                    }
                },

                onElementChange: function ( propertyName ) {
                    if ( /^_?aos_animation/.test( propertyName ) ) {
                        this.AOSAnimate();
                    }
                },

                getAOSAnimation: function () {
                    var elementSettings = this.getElementSettings()
                    return elementSettings._aos_animation || 0;
                },

                AOSAnimate: function () {
                    var $element = this.$element,
                        elementSettings = this.getElementSettings(),
                        animation = this.getAOSAnimation();

                    // console.log( $element );
                    // console.log( animation );
                    $element.data( 'aos', animation );
                    if( elementSettings._aos_animation_delay ) {
                        $element.data( 'aos-delay', elementSettings._aos_animation_delay );
                    }
                    // console.log( AOS );
                    AOS.refreshHard();
                },
            });

            elementorFrontend.hooks.addAction( 'frontend/element_ready/global', function( $scope ) {

                // Animation Handler
                elementorFrontend.elementsHandler.addHandler( GlobalAOSAnimationHandler, {
                    $element: $scope
                } );

                // Flickity
                var flickityTarget = $scope.find('[data-flickity]')
                if ( typeof Flickity !== 'undefined' && flickityTarget.length ) {
                    [].forEach.call( flickityTarget, function( el ) {
                        var flktyOptions = (el.dataset.flickity) ? JSON.parse(el.dataset.flickity) : {};
                        $( el ).flickity( flktyOptions )
                    });
                }
                /*
                // Typed
                var typedTarget = $scope.find('[data-toggle="typed"]')
                if( typedTarget.length ) {
                    function initTyped(el) {
                        var elementOptions = el.dataset.options;
                        elementOptions = elementOptions ? JSON.parse(elementOptions) : {};
                        var defaultOptions = {
                            typeSpeed: 40,
                            backSpeed: 40,
                            backDelay: 1000,
                            loop: true
                        }
                        elementOptions = Object.assign(defaultOptions, elementOptions);

                        // Init
                        new Typed(el, elementOptions);
                    }
                    
                    if ( typeof Typed !== 'undefined' && typedTarget ) {
                        [].forEach.call(typedTarget, function( el ) {
                            initTyped( el );
                        });
                    }
                }

                // Countup
                var countUpTarget = $scope.find('[data-toggle="countup"]')
                if( countUpTarget.length ) {
                    function initCountUp(el) {
                        var startVal = (el.dataset.from) ? +el.dataset.from : 0;
                        var endVal = (el.dataset.to) ? el.dataset.to : 0;
                        var decimals = (el.dataset.decimals) ? +el.dataset.decimals : 0;
                        var duration = (el.dataset.duration) ? +el.dataset.duration : 2;

                        var countUpOptions = {
                            useGrouping: (el.dataset.grouping) ? +el.dataset.grouping : true,
                            delimiter: (el.dataset.delimiter) ? +el.dataset.delimiter : ',',
                            decimalCharacter: (el.dataset.decimalCharacter) ? +el.dataset.decimalCharacter : ':',
                            prefix: (el.dataset.prefix) ? +el.dataset.prefix : '',
                            suffix: (el.dataset.suffix) ? +el.dataset.suffix : '',
                        }

                        var countUp = new CountUp( el, startVal, endVal, decimals, duration, countUpOptions );

                        if (!countUp.error) {
                            countUp.start();
                            el.classList.add('counted');
                        } else {
                            console.error(countUp.error);
                        }
                    }

                    if ( typeof CountUp !== 'undefined' && countUpTarget ) {
                        [].forEach.call(countUpTarget, function(el) {
                            initCountUp(el);
                        });
                    }
                }*/

                $( '.login-register-tab-switcher' ).on( 'click', function (e) {
                    e.preventDefault();
                    $( '#customer_login > .woocommerce-notices-wrapper' ).hide();
                    $( this ).removeClass( 'active' );
                    $( this ).tab( 'show' )
                });

                var hash_value = window.location.hash;

                switch( hash_value ) {
                    case '#customer-login-form': 
                    case '#forget-password-form':
                        $( 'a.login-register-tab-switcher[href="' + hash_value + '"]' ).trigger( 'click' );
                    break;
                }

            } )
        }

        // Icon
        if ( window.elementor && elementor.helpers !== 'undefined' ) {
            var elementorEditor = window.elementor;
            const renderIconUpdated = function renderIcon(view, icon) {
                var attributes = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {};
                var tag = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : 'i';
                var returnType = arguments.length > 4 && arguments[4] !== undefined ? arguments[4] : 'value';

                if (!icon || !icon.library) {
                    if ('object' === returnType) {
                        return {
                            rendered: false
                        };
                    }

                    return;
                }

                var iconType = icon.library,
                    iconValue = icon.value;

                if ('svg' === iconType) {
                    if ('panel' === returnType) {
                        return '<img src="' + iconValue.url + '">';
                    }

                    return {
                        rendered: true,
                        value: elementor.helpers.getInlineSvg(iconValue, view)
                    };
                }

                var iconSettings = elementor.helpers.getIconLibrarySettings(iconType);

                if (iconSettings && !iconSettings.hasOwnProperty('isCustom')) {
                    elementor.helpers.enqueueIconFonts(iconType);

                    if ('panel' === returnType) {
                        if (iconType === 'duatone-icons') {
                            return '<span class="' + iconValue + '"><span class="path1"></span><span class="path2"></span><span class="path3"></span><span class="path4"></span><span class="path5"></span><span class="path6"></span><span class="path7"></span><span class="path8"></span><span class="path9"></span></span>';
                        } else {
                            return '<i class="' + iconValue + '"></i>';
                        }
                    }

                    var tagUniqueID = tag + elementor.helpers.getUniqueID();
                    view.addRenderAttribute(tagUniqueID, attributes);
                    view.addRenderAttribute(tagUniqueID, 'class', iconValue);
                    if (iconType === 'duatone-icons') {
                        var htmlTag = '<span ' + view.getRenderAttributeString(tagUniqueID) + '><span class="path1"></span><span class="path2"></span><span class="path3"></span><span class="path4"></span><span class="path5"></span><span class="path6"></span><span class="path7"></span><span class="path8"></span><span class="path9"></span></span>';
                    } else {
                        var htmlTag = '<i ' + view.getRenderAttributeString(tagUniqueID) + '></i>';
                    }

                    if ('object' === returnType) {
                        return {
                            rendered: true,
                            value: htmlTag
                        };
                    }

                    return htmlTag;
                }

                elementor.channels.editor.trigger('Icon:insertion', iconType, iconValue, attributes, tag, view);

                if ('object' === returnType) {
                    return {
                        rendered: false
                    };
                }
            };

            elementorEditor.helpers.renderIcon = renderIconUpdated;
            window.elementor = elementorEditor;
        }
    } );
} )
