<?php
/*namespace LandkitElementor;

if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly.
}

use Elementor;
use Elementor\Core\Kits\Controls\Repeater as Global_Style_Repeater;
use Elementor\Repeater;
use Elementor\Controls_Manager;
use Elementor\Group_Control_Typography;
use Elementor\Core\Settings\Page\Manager as PageManager;

class Override_Kit {

    const TYPOGRAPHY_NAME         = 'typography';
    const TYPOGRAPHY_GROUP_PREFIX = self::TYPOGRAPHY_NAME . '_';

    public function __construct() {
        add_action( 'elementor/element/kit/section_global_colors/before_section_end', [ $this, 'set_default_colors' ], 10, 2 );
        add_action( 'elementor/element/kit/section_text_style/before_section_end', [ $this, 'set_default_fonts' ], 10, 2 );
    }

    public function set_default_fonts( $kit, $args ) {
        
        $kit->remove_control( 'system_typography' );
        $kit->remove_control( 'custom_typography' );
        $kit->remove_control( 'default_generic_fonts' );

        $repeater = new Repeater();

        $repeater->add_control(
            'title',
            [
                'type' => Controls_Manager::TEXT,
                'label_block' => true,
                'required' => true,
            ]
        );

        $repeater->add_group_control(
            Group_Control_Typography::get_type(),
            [
                'name' => self::TYPOGRAPHY_NAME,
                'label' => '',
                'global' => [
                    'active' => false,
                ],
                'fields_options' => [
                    'font_family' => [
                        'selectors' => [
                            '{{SELECTOR}}' => '--e-landkit-typography-{{external._id.VALUE}}-font-family: "{{VALUE}}"',
                        ],
                    ],
                    'font_size' => [
                        'selectors' => [
                            '{{SELECTOR}}' => '--e-landkit-typography-{{external._id.VALUE}}-font-size: {{SIZE}}{{UNIT}}',
                        ],
                    ],
                    'font_weight' => [
                        'selectors' => [
                            '{{SELECTOR}}' => '--e-landkit-typography-{{external._id.VALUE}}-font-weight: {{VALUE}}',
                        ],
                    ],
                    'text_transform' => [
                        'selectors' => [
                            '{{SELECTOR}}' => '--e-landkit-typography-{{external._id.VALUE}}-text-transform: {{VALUE}}',
                        ],
                    ],
                    'font_style' => [
                        'selectors' => [
                            '{{SELECTOR}}' => '--e-landkit-typography-{{external._id.VALUE}}-font-style: {{VALUE}}',
                        ],
                    ],
                    'text_decoration' => [
                        'selectors' => [
                            '{{SELECTOR}}' => '--e-landkit-typography-{{external._id.VALUE}}-text-decoration: {{VALUE}}',
                        ],
                    ],
                    'line_height' => [
                        'selectors' => [
                            '{{SELECTOR}}' => '--e-landkit-typography-{{external._id.VALUE}}-line-height: {{SIZE}}{{UNIT}}',
                        ],
                    ],
                    'letter_spacing' => [
                        'selectors' => [
                            '{{SELECTOR}}' => '--e-landkit-typography-{{external._id.VALUE}}-letter-spacing: {{SIZE}}{{UNIT}}',
                        ],
                    ],
                ],
            ]
        );

        $default_typography = landkit_elementor_get_theme_typography();
        $kit->set_settings( 'landkit_typography', $default_typography );

        $kit->add_control(
            'landkit_typography',
            [
                'type'    => Global_Style_Repeater::CONTROL_TYPE,
                'fields'  => $repeater->get_controls(),
                'default' => $default_typography,
                'item_actions' => [
                    'add'    => false,
                    'remove' => true,
                ],
            ]
        );

        $kit->add_control(
            'system_typography',
            [
                'type'    => Global_Style_Repeater::CONTROL_TYPE,
                'fields'  => $repeater->get_controls(),
                'default' => [],
                'item_actions' => [
                    'add'    => false,
                    'remove' => true,
                ],
            ]
        );

        $kit->add_control(
            'custom_typography',
            [
                'type'   => Global_Style_Repeater::CONTROL_TYPE,
                'fields' => $repeater->get_controls(),
            ]
        );

        $kit->add_control(
            'default_generic_fonts',
            [
                'label'       => esc_html__( 'Fallback Font Family', 'landkit-elementor' ),
                'type'        => Controls_Manager::TEXT,
                'default'     => 'Sans-serif',
                'description' => __( 'The list of fonts used if the chosen font is not available.', 'landkit-elementor' ),
                'label_block' => true,
                'separator'   => 'before',
            ]
        );
    }

    public function set_default_colors( $kit, $args ) {

        $kit->remove_control( 'system_colors' );
        $kit->remove_control( 'custom_colors' );

        $repeater = new Elementor\Repeater();

        $repeater->add_control(
            'title',
            [
                'type' => Elementor\Controls_Manager::TEXT,
                'label_block' => true,
                'required' => true,
            ]
        );

        // Color Value
        $repeater->add_control(
            'color',
            [
                'type' => Elementor\Controls_Manager::COLOR,
                'label_block' => true,
                'dynamic' => [],
                'selectors' => [
                    '{{WRAPPER}}' => '--e-global-color-{{_id.VALUE}}: {{VALUE}}',
                ],
                'global' => [
                    'active' => false,
                ],
            ]
        );

        $default_colors = landkit_elementor_get_theme_colors();

        $kit->add_control(
            'landkit_colors',
            [
                'type'         => Global_Style_Repeater::CONTROL_TYPE,
                'fields'       => $repeater->get_controls(),
                'default'      => $default_colors,
                'item_actions' => [
                    'add'    => false,
                    'remove' => false,
                ],
            ]
        );

        $kit->add_control(
            'system_colors',
            [
                'type'         => Global_Style_Repeater::CONTROL_TYPE,
                'fields'       => $repeater->get_controls(),
                'default'      => $default_colors,
                'item_actions' => [
                    'add'    => false,
                    'remove' => false,
                ],
            ]
        );

        $kit->add_control(
            'custom_colors',
            [
                'type'   => Global_Style_Repeater::CONTROL_TYPE,
                'fields' => $repeater->get_controls(),
            ]
        );
    }
}

new Override_Kit();*/
