<?php

namespace LandkitElementor\Modules\IconList;

use LandkitElementor\Base\Module_Base;
use LandkitElementor\Modules\IconList\Skins;

if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly
}

class Module extends Module_Base {

    public function __construct() {
        parent::__construct();
        $this->add_actions();
    }

    public function get_name() {
        return 'override-icon-list';
    }

    public function add_actions() {
        add_action( 'elementor/widget/icon-list/skins_init', [ $this, 'init_skins' ], 10 );
    }

    public function init_skins( $widget ) { 
        $widget->add_skin( new Skins\Skin_Icon_List_Card( $widget ) );
        $widget->add_skin( new Skins\Skin_Icon_List_Flex( $widget ) );
    }
}