<?php

namespace LandkitElementor\Modules\ImageBox;

use LandkitElementor\Base\Module_Base;
use LandkitElementor\Modules\ImageBox\Skins;

if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly
}

class Module extends Module_Base {

    public function __construct() {
        parent::__construct();

        $this->add_actions();
    }

    public function add_actions() {
        add_action( 'elementor/widget/image-box/skins_init', [ $this, 'init_skins' ], 10 );
    }

    public function init_skins( $widget ) { 
        $widget->add_skin( new Skins\Skin_Image_Box_Card( $widget ) );
        $widget->add_skin( new Skins\Skin_Image_Box_Flex( $widget ) );
    }

    public function get_name() {
        return 'lk-image-box';
    }
}
