<?php
namespace LandkitElementor\Modules\ImageGrid\Skins;

use Elementor\Widget_Base;
use Elementor\Skin_Base;
use Elementor\Controls_Manager;
use Elementor\Plugin;
use Elementor\Icons_Manager;

if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly
}

class Skin_Grid_1 extends Skin_Base {

    public function get_id() {
        return 'grid-style-1';
    }

    public function get_title() {
        return __( 'Style 1', 'landkit-elementor' );
    }

    protected function add_inline_editing_attributes( $key, $toolbar = 'basic' ) {
        if ( ! Plugin::$instance->editor->is_edit_mode() ) {
            return;
        }

        $this->parent->add_render_attribute( $key, [
            'class' => 'elementor-inline-editing',
            'data-elementor-setting-key' => $key,
        ] );

        if ( 'basic' !== $toolbar ) {
            $this->parent->add_render_attribute( $key, [
                'data-elementor-inline-editing-toolbar' => $toolbar,
            ] );
        }
    }

    public function render() {
        $settings = $this->parent->get_settings_for_display();

        ?>
            <div class="d-flex flex-column w-md-130 mb-6 mb-md-0">
                <img class="img-fluid rounded shadow align-self-start" data-jarallax-element="-20" alt="..." style="min-height: 1px; max-width: 50%; margin-left: 40%;" src=<?php echo $settings['image-1']['url'] ?>>

                <img class="img-fluid rounded shadow align-self-start" data-jarallax-element="-50" alt="..." style="min-height: 1px; max-width: 50%; margin-top: -35%;" src=<?php echo $settings['image-2']['url'] ?>>

                <img class=" img-fluid rounded shadow align-self-center" data-jarallax-element="-80" alt="..." style="min-height: 1px; max-width: 50%; margin-top: -20%;" src=<?php echo $settings['image-3']['url'] ?>>

            </div>
        <?php
    }
}
