<?php
namespace LandkitElementor\Modules\ImageGrid\Skins;

use Elementor\Widget_Base;
use Elementor\Skin_Base;
use Elementor\Controls_Manager;
use Elementor\Plugin;
use Elementor\Icons_Manager;


if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly
}

class Skin_Grid_3 extends Skin_Base {

    public function __construct( Widget_Base $parent ) {
        $this->parent = $parent;

        add_action( 'elementor/element/lk-image-grid/section_grid/after_section_end', [ $this, 'update_controls' ] );
    }

    public function get_id() {
        return 'grid-style-3';
    }

    public function get_title() {
        return __( 'Style 3', 'landkit-elementor' );
    }


    public function update_controls() {
        $this->parent->update_control(
            'data_animation_3',
            [
                'condition' => [
                    '_skin' => 'grid-style-3',
                ],
            ]
        );
    }

    protected function add_inline_editing_attributes( $key, $toolbar = 'basic' ) {
        if ( ! Plugin::$instance->editor->is_edit_mode() ) {
            return;
        }

        $this->parent->add_render_attribute( $key, [
            'class' => 'elementor-inline-editing',
            'data-elementor-setting-key' => $key,
        ] );

        if ( 'basic' !== $toolbar ) {
            $this->parent->add_render_attribute( $key, [
                'data-elementor-inline-editing-toolbar' => $toolbar,
            ] );
        }
    }

    public function render() {
        $settings = $this->parent->get_settings(); 

        ?>

        <div class="row no-gutters">
          <div class="col-4">
            <!-- Image -->
            <div class="w-150 mt-9 p-1 bg-white shadow-lg" data-aos-delay="100" data-aos=<?php echo $settings[ 'data_animation_1']?>>
              <img  class="img-fluid" alt="..." src=<?php echo $settings['image-1']['url'] ?>>
            </div>
          </div>
          <div class="col-4">
            <!-- Image -->
            <div class="w-150 p-1 bg-white shadow-lg" data-aos=<?php echo $settings[ 'data_animation_2']?>>
              <img  class="img-fluid" alt="..." src=<?php echo $settings['image-2']['url'] ?>>
            </div>
          </div>
          <div class="col-4 position-relative">
            <!-- Image -->
            <div class="w-150 mt-11 float-right p-1 bg-white shadow-lg" data-aos-delay="150" data-aos=<?php echo $settings[ 'data_animation_3']?>>
              <img  class="img-fluid" alt="..." src=<?php echo $settings['image-3']['url'] ?>>
            </div>
          </div>
        </div><?php
    }
}

