<?php
namespace LandkitElementor\Modules\ImageGrid\Skins;

use Elementor\Widget_Base;
use Elementor\Skin_Base;
use Elementor\Controls_Manager;
use Elementor\Plugin;
use Elementor\Icons_Manager;

if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly
}

class Skin_Grid_4 extends Skin_Base {

    public function __construct( Widget_Base $parent ) {
        $this->parent = $parent;

        add_action( 'elementor/element/lk-image-grid/section_grid/after_section_end', [ $this, 'update_controls' ] );
    }

    public function get_id() {
        return 'grid-style-4';
    }

    public function get_title() {
        return __( 'Style 4', 'landkit-elementor' );
    }


    public function update_controls() {
        $this->parent->update_control(
            'image-5',
            [
                'condition' => [
                    '_skin' => ('grid-style-4' ),
                ],
            ]
        );
        $this->parent->update_control(
            'image-6',
            [
                'condition' => [
                    '_skin' => ('grid-style-4' ),
                ],
            ]
        );
    }

    protected function add_inline_editing_attributes( $key, $toolbar = 'basic' ) {
        if ( ! Plugin::$instance->editor->is_edit_mode() ) {
            return;
        }

        $this->parent->add_render_attribute( $key, [
            'class' => 'elementor-inline-editing',
            'data-elementor-setting-key' => $key,
        ] );

        if ( 'basic' !== $toolbar ) {
            $this->parent->add_render_attribute( $key, [
                'data-elementor-inline-editing-toolbar' => $toolbar,
            ] );
        }
    }

    public function render() {
        $settings = $this->parent->get_settings(); 
        ?>
        <div class="row">
            <div class="col-12">
                <div class="form-row">
                    <div class="col-4">
                        <img  class="img-fluid rounded shadow-lg" alt="..." src=<?php echo $settings['image-1']['url'] ?>>
                    </div>
                    <div class="col-3">
                        <img class="img-fluid rounded shadow-lg mb-4" alt="..." src=<?php echo $settings['image-2']['url'] ?>>
                        <img class="img-fluid rounded shadow-lg mt-1" alt="..." src=<?php echo $settings['image-3']['url'] ?>>
                    </div>
                    <div class="col-5">
                        <div class="form-row mb-4">
                            <div class="col-5">                   
                                <img class="img-fluid rounded shadow-lg" alt="..." src=<?php echo $settings['image-4']['url'] ?>>
                            </div>
                             <div class="col-7">
                                <img class="img-fluid rounded shadow-lg" alt="..." src=<?php echo $settings['image-5']['url'] ?>>
                            </div>
                        </div> <!-- / .row -->
                        <img  class="img-fluid rounded shadow-lg mt-1" alt="..." src=<?php echo $settings['image-6']['url'] ?>>
                    </div>
                </div>
            </div>
        </div><?php
    }
}
