<?php
namespace LandkitElementor\Modules\Posts\Skins;

use Elementor\Controls_Manager;
use Elementor\Core\Kits\Documents\Tabs\Global_Colors;
use Elementor\Core\Kits\Documents\Tabs\Global_Typography;
use Elementor\Group_Control_Image_Size;
use Elementor\Group_Control_Typography;
use Elementor\Widget_Base;

if ( ! defined( 'ABSPATH' ) ) {
exit; // Exit if accessed directly
}

class Skin_Basic_Grid extends Skin_Base {

    public function get_id() {
        return 'basic_grid';
    }

    public function get_title() {
        return esc_html__( 'Basic Grid', 'landkit-elementor' );
    }

    /**
    * Function for Portfolio loop
    */
    public function render_portfolio_post() { ?>
        <div <?php post_class( 'col' ); ?>>
            <!-- Card -->
            <a class="card card-flush mb-7" href="<?php echo esc_url( get_permalink() ); ?>">
                <!-- Image -->
                <div class="card-zoom">
                    <?php $this->render_thumbnail("card-img-top rounded shadow-light-lg"); ?>
                </div>
                <!-- Footer -->
                <div class="card-footer">
                    <!-- Preheading -->
                    <?php $this->render_portfolio_category(); ?>
                    <!-- Heading -->
                    <?php $this->render_portfolio_title(); ?>
                </div>
            </a>
        </div>
    <?php  }

    protected function render_basic_grid_loop_header() {
        $settings    = $this->parent->get_settings();
        $columns_key = $this->get_control_id( 'columns' ); ?>
        <div id="portfolio" class="row row-cols-<?php echo $settings['columns_mobile']; ?> row-cols-md-<?php echo $settings['columns_tablet']; ?> row-cols-lg-<?php echo $settings[ 'columns' ]; ?>" data-isotope='{"layoutMode": "fitRows"}'>
            <?php 
        }

    protected function render_basic_grid_loop_footer() {?>
        </div> <!-- / .row -->
    <?php }

    public function set_render_attributes() {
        $this->parent->add_render_attribute( 'title', 'class', 'mb-0' );
    }

    public function render() {
        $this->parent->query_posts();
        $query = $this->parent->get_query();
        if ( ! $query->found_posts ) {
            return;
        }
        $this->render_basic_grid_loop_header();
        // It's the global `wp_query` it self. and the loop was started from the theme.
        if ( $query->in_the_loop ) {
            $this->current_permalink = get_permalink();
            $this->render_portfolio_post();
        } else {
            $this->set_render_attributes();
            while ( $query->have_posts() ) {
                $query->the_post();
                $this->current_permalink = get_permalink();
                $this->render_portfolio_post();
            }
        }
        wp_reset_postdata();
        $this->render_basic_grid_loop_footer();
    }
}