<?php

namespace LandkitElementor\Modules\Shapes;

use LandkitElementor\Base\Module_Base;
use Elementor\Controls_Manager;
use Elementor\Plugin;

if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly
}

class Module extends Module_Base {

    public function __construct() {
        parent::__construct();

        $this->add_actions();
    }

    public function get_name() {
        return 'override-shapes';
    }

    public function add_actions() {
        add_filter( 'elementor/shapes/additional_shapes', [ $this, 'shape_options' ] );
    }

    public function shape_options( $additional_shapes ) {

        $additional_shapes ['landkit-curve-1'] =[
            'title'        => _x( 'Landkit - Curve-1', 'Shapes', 'landkit-elementor' ),
            'has_negative' => false,
            'has_flip'     => false,
            'height_only'  => false,
            'url'          => get_template_directory_uri() . '/assets/img/shapes/curves/curve-1.svg',
            'path'         => get_stylesheet_directory() . '/assets/img/shapes/curves/curve-1.svg',
        ];

        $additional_shapes ['landkit-curve-2'] =[
            'title'        => _x( 'Landkit - Curve-2', 'Shapes', 'landkit-elementor' ),
            'has_negative' => false,
            'has_flip'     => false,
            'height_only'  => false,
            'url'          => get_template_directory_uri() . '/assets/img/shapes/curves/curve-2.svg',
            'path'         => get_stylesheet_directory() . '/assets/img/shapes/curves/curve-2.svg',
        ];

        $additional_shapes ['landkit-curve-3'] =[
            'title'        => _x( 'Landkit - Curve-3', 'Shapes', 'landkit-elementor' ),
            'has_negative' => false,
            'has_flip'     => false,
            'height_only'  => false,
            'url'          => get_template_directory_uri() . '/assets/img/shapes/curves/curve-3.svg',
            'path'         => get_stylesheet_directory() . '/assets/img/shapes/curves/curve-3.svg',
        ];

        $additional_shapes ['landkit-curve-4'] =[
            'title'        => _x( 'Landkit - Curve-4', 'Shapes', 'landkit-elementor' ),
            'has_negative' => false,
            'has_flip'     => false,
            'height_only'  => false,
            'url'          => get_template_directory_uri() . '/assets/img/shapes/curves/curve-4.svg',
            'path'         => get_stylesheet_directory() . '/assets/img/shapes/curves/curve-4.svg',
        ];

        $additional_shapes ['landkit-curve-5'] =[
            'title'        => _x( 'Landkit - Curve-5', 'Shapes', 'landkit-elementor' ),
            'has_negative' => false,
            'has_flip'     => false,
            'height_only'  => false,
            'url'          => get_template_directory_uri() . '/assets/img/shapes/curves/curve-5.svg',
            'path'         => get_stylesheet_directory() . '/assets/img/shapes/curves/curve-5.svg',
        ];

        $additional_shapes ['landkit-curve-6'] =[
            'title'        => _x( 'Landkit - Curve-6', 'Shapes', 'landkit-elementor' ),
            'has_negative' => false,
            'has_flip'     => false,
            'height_only'  => false,
            'url'          => get_template_directory_uri() . '/assets/img/shapes/curves/curve-6.svg',
            'path'         => get_stylesheet_directory() . '/assets/img/shapes/curves/curve-6.svg',
        ];

        $additional_shapes ['landkit-wave'] =[
            'title'        => _x( 'Landkit - Wave', 'Shapes', 'landkit-elementor' ),
            'has_negative' => false,
            'has_flip'     => false,
            'height_only'  => false,
            'url'          => get_template_directory_uri() . '/assets/img/shapes/waves/wave-1.svg',
            'path'         => get_stylesheet_directory() . '/assets/img/shapes/waves/wave-1.svg',
        ];

        $additional_shapes ['landkit-angle-right'] =[
            'title'        => _x( 'Landkit - Angle Right', 'Shapes', 'landkit-elementor' ),
            'has_negative' => false,
            'has_flip'     => false,
            'height_only'  => false,
            'url'          => get_template_directory_uri() . '/assets/img/shapes/angles/angle-right.svg',
            'path'         => get_stylesheet_directory() . '/assets/img/shapes/angles/angle-right.svg',
        ];


        $additional_shapes ['landkit-angle-left'] =[
            'title'        => _x( 'Landkit - Angle Left', 'Shapes', 'landkit-elementor' ),
            'has_negative' => false,
            'has_flip'     => false,
            'height_only'  => false,
            'url'          => get_template_directory_uri() . '/assets/img/shapes/angles/angle-left.svg',
            'path'         => get_stylesheet_directory() . '/assets/img/shapes/angles/angle-left.svg',
        ];

        $additional_shapes ['landkit-angle-bottom'] =[
            'title'        => _x( 'Landkit - Angle Bottom', 'Shapes', 'landkit-elementor' ),
            'has_negative' => false,
            'has_flip'     => false,
            'height_only'  => false,
            'url'          => get_template_directory_uri() . '/assets/img/shapes/angles/angle-bottom.svg',
            'path'         => get_stylesheet_directory() . '/assets/img/shapes/angles/angle-bottom.svg',
        ];

        $additional_shapes ['landkit-angle-top'] =[
            'title'        => _x( 'Landkit - Angle Top', 'Shapes', 'landkit-elementor' ),
            'has_negative' => false,
            'has_flip'     => false,
            'height_only'  => false,
            'url'          => get_template_directory_uri() . '/assets/img/shapes/angles/angle-top.svg',
            'path'         => get_stylesheet_directory() . '/assets/img/shapes/angles/angle-top.svg',
        ];

        $additional_shapes ['landkit-blur-1'] =[
            'title'        => _x( 'Landkit - Blur 1', 'Shapes', 'landkit-elementor' ),
            'has_negative' => false,
            'has_flip'     => false,
            'height_only'  => false,
            'url'          => get_template_directory_uri() . '/assets/img/shapes/blurs/blur-1.svg',
            'path'         => get_stylesheet_directory() . '/assets/img/shapes/blurs/blur-1.svg',
        ];

        $additional_shapes ['landkit-blur-2'] =[
            'title'        => _x( 'Landkit - Blur 2', 'Shapes', 'landkit-elementor' ),
            'has_negative' => false,
            'has_flip'     => false,
            'height_only'  => false,
            'url'          => get_template_directory_uri() . '/assets/img/shapes/blurs/blur-2.svg',
            'path'         => get_stylesheet_directory() . '/assets/img/shapes/blurs/blur-2.svg',
        ];

        $additional_shapes ['landkit-blur-3'] =[
            'title'        => _x( 'Landkit - Blur 3', 'Shapes', 'landkit-elementor' ),
            'has_negative' => false,
            'has_flip'     => false,
            'height_only'  => false,
            'url'          =>  get_template_directory_uri() . '/assets/img/shapes/blurs/blur-3.svg',
            'path'         => get_stylesheet_directory() . '/assets/img/shapes/blurs/blur-3.svg',
        ];

        $additional_shapes ['landkit-blur-4'] =[
            'title'        => _x( 'Landkit - Blur 4', 'Shapes', 'landkit-elementor' ),
            'has_negative' => false,
            'has_flip'     => false,
            'height_only'  => false,
            'url'          => get_template_directory_uri() . '/assets/img/shapes/blurs/blur-4.svg',
            'path'         => get_stylesheet_directory() . '/assets/img/shapes/blurs/blur-4.svg',
        ];

        return $additional_shapes;
    }
}

   