<?php
/**
 *
 * Display the page meta box.
 *
 * @author      MadrasThemes
 * @category    Admin
 * @package     Landkit/Admin/MetaBoxes
 * @version     2.1.0
 */

if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly
}

if ( ! class_exists( 'Landkit_Meta_Box_Cover_Image' ) ) {
    /**
     * Landkit_Meta_Box_Cover_Image Class.
     */
    class Landkit_Meta_Box_Cover_Image {
        /**
         * Render Meta Box content.
         *
         * @param WP_Post $post The post object.
         */
        public static function output( $post ) {

            $clean_meta_data = get_post_meta( $post->ID, '_lk_cover_image', true );
            $lk_cover_image  = maybe_unserialize( $clean_meta_data );

            wp_nonce_field( 'landkit_save_data', 'landkit_meta_nonce' );

            ?><div class="landkit-options"><?php

                landkit_wp_upload_image( array(
                    'id'            => '_lk_cover_image',
                    'name'          => '_lk_cover_image',
                    'label'         => esc_html__( 'Cover Image', 'landkit-extensions' ),
                    'placeholder'   => true,
                    'value'         => isset( $lk_cover_image ) ? $lk_cover_image : '',

                ) );

            ?></div><?php
        }

        public static function save( $post_id, $post ) {
            if ( isset( $_POST['_lk_cover_image'] ) ) {
                $clean_lk_cover_image = landkit_clean( $_POST['_lk_cover_image'] );
                update_post_meta( $post_id, '_lk_cover_image',  serialize( $clean_lk_cover_image ) );
            }   
        }
    }
}
