<?php
/**
 * Widget "Landkit - Site Info"
 *
 * Displays your site logo, description and social media icons.
 *
 * @uses WP_Widget
 */
class Landkit_SiteInfo_Widget extends WP_Widget {
    /**
     * Widget id_base
     *
     * @var string
     */
    private $widget_id = 'landkit_siteinfo';

    public function __construct() {
        $opts = array( 'description' => esc_html__( 'Displays your site logo, description and social media icons', 'landkit-extensions' ) );
        parent::__construct( $this->widget_id, esc_html__( 'Lankdit - Site Info', 'landkit-extensions' ), $opts );
    }

    /**
     * Display the widget contents
     *
     * @param array $args     Widget args described in {@see register_sidebar()}
     * @param array $instance Widget settings
     */
    public function widget( $args, $instance ) {
        if ( ! function_exists( 'landkit_site_title_or_logo' ) ) {
            return;
        }
        ?><div class="widget widget_siteinfo">
            <?php landkit_site_title_or_logo( true, [ 
                'custom-logo-link' => 'footer-brand-link',
                'custom-logo'      => 'footer-brand img-fluid mb-2'
            ] ); ?>
            <p class="text-gray-700 mb-2"><?php bloginfo( 'description' ); ?></p>
            <?php landkit_social_media_links(); ?>
        </div><?php
    }
}
